Update all headers for a bill list If a new begin date or end date is being set, bills that would have end dates on or before their begin date will not be updated If the user does not have permission to edit exported or approved bills, those bills will not be updated Bills audits won't be fired
Request Headers
| Header | Value | Required | Description |
|---|---|---|---|
| ECI-ApiKey | string | Yes | Your API key. See Authentication. |
| Content-Type | application/json | Yes | All requests must specify JSON content type, including the request body. |
Path Parameters
| Name | Description | Type | Required |
|---|---|---|---|
| listId | The list identifier | integer (int32) | Required |
Request Body
BillHeaderUpdate
| Property | Description | Type | |||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|
| accountPeriod | BillHeaderUpdateAccountPeriodChild | ||||||||||
|
BillHeaderUpdateAccountPeriodChild properties
|
|||||||||||
| beginDate | BillHeaderUpdateBeginDateChild | ||||||||||
|
BillHeaderUpdateBeginDateChild properties
|
|||||||||||
| billingPeriod | BillHeaderUpdateBillingPeriodChild | ||||||||||
|
BillHeaderUpdateBillingPeriodChild properties
|
|||||||||||
| controlCode | BillHeaderUpdateControlCodeChild | ||||||||||
|
BillHeaderUpdateControlCodeChild properties
|
|||||||||||
| dueDate | BillHeaderUpdateDueDateChild | ||||||||||
|
BillHeaderUpdateDueDateChild properties
|
|||||||||||
| endDate | BillHeaderUpdateEndDateChild | ||||||||||
|
BillHeaderUpdateEndDateChild properties
|
|||||||||||
| estimated | BillHeaderUpdateEstimatedChild | ||||||||||
|
BillHeaderUpdateEstimatedChild properties
|
|||||||||||
| invoiceNumber | BillHeaderUpdateInvoiceNumberChild | ||||||||||
|
BillHeaderUpdateInvoiceNumberChild properties
|
|||||||||||
| statementDate | BillHeaderUpdateStatementDateChild | ||||||||||
|
BillHeaderUpdateStatementDateChild properties
|
|||||||||||
Example Request Body
{ "accountPeriod": { "accountPeriod": 1, "update": false
}, "beginDate": { "beginDate": "2026-03-30", "update": false
}, "billingPeriod": { "billingPeriod": 1, "update": false
}, "controlCode": { "controlCode": "string", "update": false
}, "dueDate": { "dueDate": "2026-03-30", "update": false
}, "endDate": { "endDate": "2026-03-30", "update": false
}, "estimated": { "estimated": false, "update": false
}, "invoiceNumber": { "invoiceNumber": "string", "update": false
}, "statementDate": { "statementDate": "2026-03-30", "update": false
}
}
Responses
200
OK
The request succeeded and the response body contains the requested data.
Response Body Parameters
UpdateResult
| Property | Description | Type |
|---|---|---|
| selected | Required (defined) | integer (int32) |
| updated | Required (defined) | integer (int32) |
Example Response
{ "selected": 1, "updated": 1
}